mysqli::next_result
mysqli::ping
MySQLi
PHP Manual

# mysqli::options

# mysqli_options

(PHP 5)

mysqli::options -- mysqli_options — Set options

### Opis

Object oriented style (method)

bool mysqli::options ( int `$option` , mixed `$value` )

Procedural style:

bool mysqli_options ( mysqli `$link` , int `$option` , mixed `$value` )

Used to set extra connect options and affect behavior for a connection.

This function may be called multiple times to set several options.

mysqli_options() should be called after mysqli_init() and before mysqli_real_connect().

### Parametry

`połączenie`

  Tylko styl proceduralny: Identyfikator połączenia zwrócony przez mysqli_connect() lub mysqli_init()

`option`

  The option that you want to set. It can be one of the following values:

  Valid options
  Name | Description
  --- | ---
  `MYSQLI_OPT_CONNECT_TIMEOUT` | connection timeout in seconds
  `MYSQLI_OPT_LOCAL_INFILE` | enable/disable use of LOAD LOCAL INFILE
  `MYSQLI_INIT_COMMAND` | command to execute after when connecting to MySQL server
  `MYSQLI_READ_DEFAULT_FILE` | Read options from named option file instead of my.cnf
  `MYSQLI_READ_DEFAULT_GROUP` | Read options from the named group from my.cnf or the file specified with `MYSQL_READ_DEFAULT_FILE`.

`value`

  The value for the option.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Przykłady

See mysqli_real_connect().

### Patrz także

- mysqli_init()
- mysqli_real_connect()

mysqli::next_result
mysqli::ping
MySQLi
PHP Manual